package com.huimv.register.controller;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.common.utils.ResultCode;
import com.huimv.register.dao.entity.CollectorRegisterEntity;
import com.huimv.register.result.R;
import com.huimv.register.service.IBaseStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.web.bind.annotation.*;

import javax.persistence.criteria.Order;
import javax.persistence.criteria.Predicate;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping("/management/collectorregister")
@CrossOrigin
public class BaseStationController {
    @Autowired
    private IBaseStationService iBaseStationService;

    @PostMapping("/list")
    public Result list(@RequestBody Map<String,Object> paramsMap){
        String deviceCode = paramsMap.get("deviceCode")+"";
        String registeCode = paramsMap.get("registeCode")+"";
        String farmCode = paramsMap.get("farmCode")+"";
        String farmName = paramsMap.get("farmName")+"";
        String pageNo= paramsMap.get("pageNo")+"";
        if(pageNo == null){
            pageNo = "0";
        }
        String pageSize= paramsMap.get("pageSize")+"";
        if(pageSize == null){
            pageSize = "10";
        }
        return iBaseStationService.list(deviceCode,registeCode,farmCode,farmName,null,null,Integer.parseInt(pageNo),Integer.parseInt(pageSize));
    }

    @RequestMapping("/addFromClient")
    public R save(@RequestBody Map<String,Object> paramsMap){

        return R.ok().put("sds",0);
    }
}
