package com.huimv.register.dao.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;

@Entity
@Table(name = "collector_register")
@Data
@Accessors(chain = true)
public class CollectorRegisterEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录id(主键)
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 组织id
     */
    @Column(name = "org_id")
    private Long orgId;

    /**
     * 组织名称
     */
    @Column(name = "org_name")
    private String orgName;

    @Column(name = "county_code")
    private String countyCode;

    /**
     * 设备编码
     */
    @Column(name = "device_code")
    private String deviceCode;

    /**
     * 盒子的芯片编码
     */
    @Column(name = "registe_code")
    private String registeCode;

    /**
     * 牧场编码
     */
    @Column(name = "farm_code")
    private String farmCode;

    /**
     * 牧场名称
     */
    @Column(name = "farm_name")
    private String farmName;

    /**
     * 动物种类
     */
    @Column(name = "type_f")
    private Integer typeF;

    /**
     * 阶段
     */
    @Column(name = "stage")
    private Integer stage;

    /**
     * 猪舍id
     */
    @Column(name = "pigpen_id")
    private Integer pigpenId;

    /**
     * 栋舍名称
     */
    @Column(name = "pen_name")
    private String penName;

    /**
     * 单元id
     */
    @Column(name = "unit_id")
    private Integer unitId;

    /**
     * 单元名称
     */
    @Column(name = "unit_name")
    private String unitName;

    /**
     * 上传服务器地址
     */
    @Column(name = "server_ip")
    private String serverIp;

    /**
     * 端口
     */
    @Column(name = "port")
    private Integer port;

    /**
     * 注册时间
     */
    @Column(name = "register_time")
    private Timestamp registerTime;

    /**
     * 最后上传时间
     */
    @Column(name = "last_time")
    private Timestamp lastTime;

    /**
     * 0:正常,1:网络异常,2:采集异常,3:注销
     */
    @Column(name = "can_status")
    private Integer canStatus;

}
