package com.huimv.register.service;

import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.common.utils.ResultCode;
import com.huimv.register.dao.entity.CollectorRegisterEntity;
import com.huimv.register.dao.repo.CollectorRegisterRepo;
import com.huimv.register.result.R;
//import org.springframework.data.domain.PageRequest;
//import org.springframework.data.domain.Pageable;
//import org.springframework.data.jpa.domain.Specification;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.*;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Service;
import javax.persistence.criteria.*;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Optional;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class BaseStationServiceImpl implements IBaseStationService {
    @Autowired
    private CollectorRegisterRepo collectorRegisterRepo;

    @Override
    public Result list(String deviceCode, String registeCode, String farmCode, String farmName, Date startDate, Date endDate, Integer pageNo, Integer pageSize){
        Specification<CollectorRegisterEntity> sf = (Specification<CollectorRegisterEntity>) (root, criteriaQuery, criteriaBuilder) -> {
            //
            List<Predicate> predList = new ArrayList<>();
            if (null != deviceCode) {
                predList.add(criteriaBuilder.equal(root.get("deviceCode").as(String.class), deviceCode));
            }
            //
            if (null != registeCode) {
                predList.add(criteriaBuilder.equal(root.get("registeCode").as(String.class), registeCode));
            }
            //
            if (null != farmCode) {
                predList.add(criteriaBuilder.equal(root.get("farmCode").as(String.class), farmCode));
            }
            //
            if (null != farmName) {
                predList.add(criteriaBuilder.like(root.get("farmName").as(String.class), farmName));
            }
//            if (null != startDate) {
//                predList.add(criteriaBuilder.greaterThanOrEqualTo(root.get("startDate").as(Date.class), startDate));
//            }
//            if (null != endDate) {
//                predList.add(criteriaBuilder.lessThanOrEqualTo(root.get("endDate").as(Date.class), endDate));
//            }
//            if (null != returnState) {
//                predList.add(criteriaBuilder.equal(root.get("returnState").as(Integer.class), returnState));
//            }
//            if (null != deliverState) {
//                predList.add(criteriaBuilder.equal(root.get("deliverState").as(Integer.class), deliverState));
//            }
            //
            Predicate[] pred = new Predicate[predList.size()];
            Predicate and = criteriaBuilder.and(predList.toArray(pred));
            criteriaQuery.where(and);
            //
            List<Order> orders = new ArrayList<>();
            orders.add(criteriaBuilder.desc(root.get("lastTime")));
            return criteriaQuery.orderBy(orders).getRestriction();
        };
        Pageable pageable = PageRequest.of( pageNo - 1, pageSize);
        return new Result(ResultCode.SUCCESS, collectorRegisterRepo.findAll(sf, pageable));
    }
}
