package com.huimv.center.controller;

import com.huimv.center.service.BizBaseAreaService;
import com.huimv.eartag2.common.utils.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 行政区域表操作
 * @author 静静
 */
@RestController
@RequestMapping("/bizBaseArea")
public class BizBaseAreaController {

    @Resource
    private BizBaseAreaService bizBaseAreaService;

    /**
     * 【增加】增加行政区域
     * @param paramsMap
     * @return
     */
    @PostMapping("/add")
    public Result add(@RequestBody Map<String, Object> paramsMap){
        String name = paramsMap.get("name")+ "";
        String code = paramsMap.get("code")+"";
        String parentCode = paramsMap.get("parentCode")+"";
        return bizBaseAreaService.add(name,code,parentCode);
    }

    /**
     * 【修改】修改行政区域
     * @param paramsMap
     * @return
     */
    @PostMapping("/update")
    public Result update(@RequestBody Map<String, Object> paramsMap){
        String id = paramsMap.get("id")+"";
        String name = paramsMap.get("name")+ "";
        String code = paramsMap.get("code")+"";
        String parentCode = paramsMap.get("parentCode")+"";
        return bizBaseAreaService.update(Integer.parseInt(id),name,code,parentCode);
    }

    /**
     * 【删除】根据id删除区域表
     * @param id
     * @return
     */
    @PostMapping("/remove")
    public Result remove(@RequestBody String id){
        return bizBaseAreaService.remove(id);
    }

    /**
     * 【查询】 树形查询区域信息
     * @return
     */
    @GetMapping("/tree/list")
    public Result treeList(){
        return bizBaseAreaService.treeList();
    }


}
