package com.huimv.center.controller;


import com.huimv.center.service.BizDeviceAnswerFlowService;
import com.huimv.eartag2.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-06-22
 */
@RestController
@RequestMapping("/bizDeviceAnswerFlow")
public class BizDeviceAnswerFlowController {
    @Autowired
    private BizDeviceAnswerFlowService bizDeviceAnswerFlowService;

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, Object> paramsMap){
        String pageNo = paramsMap.get("pageNo")+"";
        if (pageNo == null) {
            pageNo = "1";
        }
        String pageSize = paramsMap.get("pageSize")+"";
        if (pageSize == null) {
            pageSize = "10";
        }
        String chipId = "";
        if (paramsMap.get("chipId") != null) {
            chipId = paramsMap.get("chipId")+"";
        }
        String farmCode = "";
        if (paramsMap.get("farmCode") != null) {
            farmCode = paramsMap.get("farmCode")+"";
        }
        String deviceCode = "";
        if (paramsMap.get("deviceCode") != null) {
            deviceCode = paramsMap.get("deviceCode")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        return bizDeviceAnswerFlowService.listDeviceAnswer( Integer.parseInt(pageNo),  Integer.parseInt(pageSize),  chipId,  deviceCode,farmCode,startDate,endDate);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, Object> paramsMap){
        String farmCode = "";
        if (paramsMap.get("farmCode") != null) {
            farmCode = paramsMap.get("farmCode")+"";
        }
        String chipId = "";
        if (paramsMap.get("chipId") != null) {
            chipId = paramsMap.get("chipId")+"";
        }
        String deviceCode = "";
        if (paramsMap.get("deviceCode") != null) {
            deviceCode = paramsMap.get("deviceCode")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        return bizDeviceAnswerFlowService.removeDeviceAnswer(farmCode,chipId,deviceCode,startDate,endDate);
    }

    @PostMapping("/removeById")
    public Result removeById(@RequestBody String ids){
        return bizDeviceAnswerFlowService.removeDeviceAnswer(ids);
    }

}

