package com.huimv.center.controller;


import com.huimv.center.pojo.BizFarm;
import com.huimv.center.service.BizDeviceRegisterService;
import com.huimv.center.service.BizFarmService;
import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-06-21
 */
@RestController
@RequestMapping("/bizDeviceRegister")
public class BizDeviceRegisterController {
    @Autowired
    private BizDeviceRegisterService bizDeviceRegisterService;

    @Resource
    private BizFarmService bizFarmService;


    @PostMapping("/add")
    public Result add(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        String chipId = paramsMap.get("chipId")+"";
        String deviceCode = paramsMap.get("deviceCode")+"";
        String farmCode = paramsMap.get("farmCode")+"";
        String serverIp = paramsMap.get("serverIp")+"";
        String serverPort = paramsMap.get("serverPort")+"";
        String remark = paramsMap.get("remark")+"";
        String farmName = "";
        if(paramsMap.get("farmName") != null){
            farmName = paramsMap.get("farmName")+"";
        }
        return bizDeviceRegisterService.add(farmName,farmCode,chipId, deviceCode, serverIp, serverPort, remark);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody Map<String, Object> paramsMap) throws ParseException {
        String id = paramsMap.get("id")+"";
        String chipId = paramsMap.get("chipId")+"";
        String deviceCode = paramsMap.get("deviceCode")+"";
        String serverIp = paramsMap.get("serverIp")+"";
        String serverPort = paramsMap.get("serverPort")+"";
        String remark = paramsMap.get("remark")+"";
        return bizDeviceRegisterService.edit( Integer.parseInt(id),  chipId,  deviceCode,  serverIp,  serverPort,  remark);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody String ids) {
        return bizDeviceRegisterService.remove(ids);
    }

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, Object> paramsMap) {
        String pageNo = paramsMap.get("pageNo")+"";
        if (pageNo == null) {
            pageNo = "1";
        }
        String pageSize = paramsMap.get("pageSize")+"";
        if (pageSize == null) {
            pageSize = "10";
        }
        String chipId = "";
        if (paramsMap.get("chipId") != null) {
            chipId = paramsMap.get("chipId")+"";
        }
        String deviceCode = "";
        if (paramsMap.get("deviceCode") != null) {
            deviceCode = paramsMap.get("deviceCode")+"";
        }
        String farmName = "";
        if (paramsMap.get("farmName") != null) {
            farmName = paramsMap.get("farmName")+"";
        }
        String farmCode = "";
        if (paramsMap.get("farmCode") != null) {
            farmCode = paramsMap.get("farmCode")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        return bizDeviceRegisterService.listAll(Integer.parseInt(pageNo), Integer.parseInt(pageSize), farmName,farmCode, chipId, deviceCode,startDate, endDate);
    }

    @PostMapping("/sync/data")
    public Result synchronizationData(@RequestBody Map<String, String> paramsMap){
        return bizDeviceRegisterService.synchronizationData(paramsMap);
    }

    @GetMapping("/getDeviceCode")
    public Result getDeviceCode(String farmCode){
        //查询牧场表  获取行政编码 牧场编码
        String areaCode = bizFarmService.getBizFarmByFarmCode(farmCode);
        //查询基站顺序码
        String subFarmCode = bizDeviceRegisterService.getBizDeviceRegisterByFarmCode(farmCode);

        System.out.println(subFarmCode);
        //拼接返回e
        String resultDeviceCode = areaCode + farmCode+ subFarmCode;
        return new Result(ResultCode.SUCCESS,resultDeviceCode);
    }
}

