package com.huimv.center.controller;


import com.huimv.center.service.BizDeviceRegisteredFlowService;
import com.huimv.eartag2.common.utils.Result;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.sql.ResultSet;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-06-22
 */
@RestController
@RequestMapping("/bizDeviceRegisteredFlow")
public class BizDeviceRegisteredFlowController {
    @Autowired
    private BizDeviceRegisteredFlowService bizDeviceRegisteredFlowService;

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, Object> paramsMap) {
        String pageNo = paramsMap.get("pageNo")+"";
        if (pageNo == null) {
            pageNo = "1";
        }
        String pageSize = paramsMap.get("pageSize")+"";
        if (pageSize == null) {
            pageSize = "10";
        }
        String chipId = "";
        if (paramsMap.get("chipId") != null) {
            chipId = paramsMap.get("chipId")+"";
        }
        String deviceCode = "";
        if (paramsMap.get("deviceCode") != null) {
            deviceCode = paramsMap.get("deviceCode")+"";
        }
        String farmCode = "";
        if (paramsMap.get("farmCode") != null) {
            farmCode = paramsMap.get("farmCode")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        return bizDeviceRegisteredFlowService.listDeviceRegisteredFlow(Integer.parseInt(pageNo), Integer.parseInt(pageSize), farmCode, chipId, deviceCode, startDate, endDate);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, Object> paramsMap) {
        boolean deleteStatus = false;
        String farmCode = "";
        if (paramsMap.get("farmCode") != null) {
            farmCode = paramsMap.get("farmCode")+"";
            deleteStatus = true;
        }
        String chipId = "";
        if (paramsMap.get("chipId") != null) {
            chipId = paramsMap.get("chipId")+"";
            deleteStatus = true;
        }
        String deviceCode = "";
        if (paramsMap.get("deviceCode") != null) {
            deviceCode = paramsMap.get("deviceCode")+"";
            deleteStatus = true;
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
            deleteStatus = true;
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
            deleteStatus = true;
        }
        String ids = "";
        if (paramsMap.get("ids") != null) {
            ids = paramsMap.get("ids")+"";
            deleteStatus = true;
        }
        if (!deleteStatus) {
            return new Result(10001, "删除条件都为空.", false);
        }
        if (StringUtils.isNotBlank(ids)) {
            return bizDeviceRegisteredFlowService.removeDeviceRegisteredFlow(ids);
        } else {
            return bizDeviceRegisteredFlowService.removeDeviceRegisteredFlow(farmCode, chipId, deviceCode, startDate, endDate);
        }
    }

    @PostMapping("/removeById")
    public Result removeById(@RequestBody String ids) {
        return bizDeviceRegisteredFlowService.removeDeviceRegisteredFlow(ids);
    }
}

