package com.huimv.center.controller;


import com.huimv.center.service.BizFarmService;
import com.huimv.eartag2.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-06-21
 */
@RestController
@RequestMapping("/bizFarm")
public class BizFarmController {
    @Autowired
    private BizFarmService bizFarmService;

    @RequestMapping(value = "/addFarm",method = RequestMethod.POST)
    public Result add(@RequestBody Map<String,Object> paramsMap) throws ParseException {
        String farmName = paramsMap.get("farmName")+"";
        String farmCode = paramsMap.get("farmCode")+"";
        String linkman = paramsMap.get("linkman")+"";
        String phone = paramsMap.get("phone")+"";
        String remark = paramsMap.get("remark")+"";
        String areaName = paramsMap.get("areaName")+"";
        System.out.println("remark="+remark);
        return bizFarmService.save(farmName,farmCode,linkman,phone,remark,areaName);
    }

    @PostMapping("/editFarm")
    public Result edit(@RequestBody Map<String,Object> paramsMap) throws ParseException {
        String id = paramsMap.get("id")+"";
        String farmName = paramsMap.get("farmName")+"";
        String farmCode = paramsMap.get("farmCode")+"";
        String linkman = paramsMap.get("linkman")+"";
        String phone = paramsMap.get("phone")+"";
        String remark = paramsMap.get("remark")+"";
        String areaName = paramsMap.get("areaName")+"";
        return bizFarmService.edit(Integer.parseInt(id),farmName,farmCode,linkman,phone,remark,areaName);
    }

    @PostMapping("/removeFarm")
    public Result remove(@RequestBody String ids){
        return bizFarmService.remove(ids);
    }

    @PostMapping("/listFarm")
    public Result list(@RequestBody Map<String,Object> paramsMap) {
        String pageNo = paramsMap.get("pageNo")+"";
        if(pageNo == null){
            pageNo ="1";
        }
        String pageSize = paramsMap.get("pageSize")+"";
        if(pageSize == null){
            pageSize = "10";
        }
        String farmName = "";
        if(paramsMap.get("farmName") != null){
            farmName = paramsMap.get("farmName")+"";
        }
        String farmCode = "";
        if(paramsMap.get("farmCode") != null){
            farmCode = paramsMap.get("farmCode")+"";
        }
        String startDate = "";
        if(paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if(paramsMap.get("endDate") !=null) {
            endDate = paramsMap.get("endDate")+"";
        }
        return bizFarmService.list(Integer.parseInt(pageNo),Integer.parseInt(pageSize),farmName,farmCode,startDate,endDate);
    }

}

