package com.huimv.center.controller;


import com.huimv.center.service.BizDeviceUnregisteredService;
import com.huimv.center.service.BizRawDataService;
import com.huimv.eartag2.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-06-23
 */
@RestController
@RequestMapping("/bizRawData")
public class BizRawDataController {

    @Autowired
    private BizRawDataService bizRawDataService;

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, Object> paramsMap){
        String pageNo = paramsMap.get("pageNo")+"";
        if (pageNo == null) {
            pageNo = "1";
        }
        String pageSize = paramsMap.get("pageSize")+"";
        if (pageSize == null) {
            pageSize = "10";
        }
        String chipId = "";
        if (paramsMap.get("chipId") != null) {
            chipId = paramsMap.get("chipId")+"";
        }
        String startDate = "";
        if (paramsMap.get("startDate") != null) {
            startDate = paramsMap.get("startDate")+"";
        }
        String endDate = "";
        if (paramsMap.get("endDate") != null) {
            endDate = paramsMap.get("endDate")+"";
        }
        return bizRawDataService.listRawData(Integer.parseInt(pageNo), Integer.parseInt(pageSize),  chipId, startDate, endDate);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody String ids){
        return bizRawDataService.remove(ids);
    }
}

