package com.huimv.center.utils;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class DateUtil {

    public Timestamp dateTextToTimestamp(String date) throws ParseException {
        DateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return new Timestamp(sdf.parse(date).getTime());
    }

    /**
     * @Method      : buildEndDate
     * @Description :
     * @Params      : [endDate]
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2022/6/23
     * @Time        : 21:46
     */
    public String buildEndDate(String endDate) {
        if(StringUtils.isNotBlank(endDate)) {
            return endDate + " 23:59:59";
        }else{
            return endDate;
        }
    }

    /**
     * @Method      : buildStartDate
     * @Description :
     * @Params      : [startDate]
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2022/6/23
     * @Time        : 21:46
     */
    public String buildStartDate(String startDate) {
        if(StringUtils.isNotBlank(startDate)){
            return startDate+" 00:00:00";
        }else{
            return startDate;
        }
    }

    //格式化日期时间
    public String formatDateTime(String dateText) throws ParseException {
        if(dateText.indexOf("T") != -1){
            dateText = dateText.replace("T"," ");
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = sdf.parse(dateText);
        return sdf.format(date);
    }

    public Date parseDateTime(String dateText) throws ParseException {
        if(dateText.indexOf("T") != -1){
            dateText = dateText.replace("T"," ");
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return sdf.parse(dateText);
    }
}
