package com.huimv.center.service;

import cn.hutool.core.text.csv.CsvUtil;
import com.huimv.center.utils.DateUtil;
import com.huimv.eartag2.common.utils.Result;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.stereotype.Component;
import org.springframework.test.context.junit4.SpringRunner;

import java.sql.Time;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
@RunWith(SpringRunner.class)
public class BizDeviceRegisterTest {
    @Autowired
    private DateUtil dateUtil;
    @Autowired
    private  BizDeviceRegisterService bizDeviceRegisterService;

    @Test
    public void testDate1() throws ParseException {
        String date = "2022-06-21 11:30:05";
        Timestamp ts = dateUtil.dateTextToTimestamp(date);
        System.out.println("ts="+ts.toString());
    }

    @Test
    public void testListAll(){
        Integer pageNo =1 ;
        Integer pageSize = 10;
//        bizDeviceRegisterService.listAll(pageNo,pageSize);
    }

    @Test
    public void testAdd() throws ParseException {
        String chipId = "bbbbbbbbbbbb";
        String deviceCode = "hz001b";
        String registerDate = "2022-06-21 21:12:05";
        String serverIp = "192.168.1.5";
        String serverPort = "10023";
        String remark = "备注";
        String farmCode = "xxxx";
        String farmName = "";
        Result result = bizDeviceRegisterService.add(farmName,farmCode, chipId,  deviceCode,  serverIp,  serverPort,  remark);
        System.out.println("result>>"+result);
    }

    @Test
    public void testGetServerAndIpByChipId(){
        String chipId = "123";
        bizDeviceRegisterService.getServerAndIpByChipId(chipId);
    }

    @Test
    public void testUpdateDeviceRegisterTimes() throws ParseException {
        String chipId = "869401041283458";
        Result result = bizDeviceRegisterService.updateDeviceRegisterTimes(chipId);
        System.out.println("result>>"+result.getCode());
        System.out.println(""+result.isSuccess());
    }



}
